!+ Subroutine to calculate gradient of residual in absorption of ice.
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE ICE_ABSORPTION_GRADIENT(N_DATA, I_FIT_TYPE, N_PARAMETER
     &   , VOL_FRACTION, RADIUS_EFFECTIVE, ABSORPTION
     &   , PARM, GRADIENT)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_spec.ucf'
      INCLUDE 'incl/ice_cloud_parametrization.pcf'
!
!     DUMMY VARIABLES
      INTEGER 	!, INTENT(IN)
     &     N_DATA
!             NUMBER OF DATA POINTS
     &   , I_FIT_TYPE
!             TYPE OF FIT REQUIRED
     &   , N_PARAMETER
!             NUMBER OF PARAMETERS
      REAL*8	!, INTENT(IN)
     &     ABSORPTION(N_DATA)
!             ABSORPTION
     &   , VOL_FRACTION(N_PARAMETER)
!             VOLUME FRACTION OF ABSORBER
     &   , RADIUS_EFFECTIVE(N_PARAMETER)
!             EFFECTIVE RADIUS
     &   , PARM(N_PARAMETER)
!             FITTING PARAMETERS
      REAL*8	!, INTENT(OUT)
     &     GRADIENT(NPD_CLOUD_PARAMETER)
!             GRADIENT OF SCATTERING
!
!     LOCAL VARIABLES.
      INTEGER
     &     I
!             LOOP VARIABLE
!
!
!     INITIALIZE THE GRADIENT TO ZERO.
      DO I=1, N_PARAMETER
         GRADIENT(I)=0.0D+00
      ENDDO
!
!
      RETURN
      END
